## com.google.gwt.user.datepicker.client
Class CalendarView

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.google.gwt.user.datepicker.client.CalendarView

All Implemented Interfaces:
  HasHandlers, EventListener

Direct Known Subclasses:
  DefaultCalendarView

    public abstract class CalendarView

extends Composite

The CalendarView is a calendar grid that represents the current view of a `DatePicker`. Note, the calendar view only deals with the currently visible dates and all state is flushed when the calendar view is refreshed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`CalendarView()` Constructor.

Method Summary
`protected void` | `addMonths(int numMonths)`
`abstract void` | `addStyleToDate(java.lang.String styleName, java.util.Date date)` Adds a style name to the cell of the supplied date.
`protected DatePicker` | `getDatePicker()`
`abstract java.util.Date` | `getFirstDate()` Returns the first date that is currently shown by the calendar.
`abstract java.util.Date` | `getLastDate()` Returns the last date that is currently shown by the calendar.
`CalendarModel` | `getModel()`
`abstract boolean` | `isDateEnabled(java.util.Date date)` Is the cell representing the given date enabled?
`protected abstract void` | `refresh()` Refresh the component.
`protected void` | `refreshAll()` Refreshes the `DatePicker`, `CalendarView`, and `CalendarModel`.
`abstract void` | `removeStyleFromDate(java.lang.String styleName, java.util.Date date)` Removes a visible style name from the cell of the supplied date.
`abstract void` | `setEnabledOnDate(boolean enabled, java.util.Date date)` Enables or Disables a particular date.
`protected void` | `setHighlightedDate(java.util.Date date)` Allows the calendar view to update the date picker's highlighted date.
`protected abstract void` | `setup()` Set up the component.

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addDomHandler, addHandler, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarView

    public CalendarView()

  Constructor.

Method Detail

### addStyleToDate

    public abstract void addStyleToDate(java.lang.String styleName,
                                        java.util.Date date)

  Adds a style name to the cell of the supplied date. This style is only set until the next time the `CalendarView` is refreshed.

  Parameters:
    `styleName` - style name to add
    `date` - date that will have the supplied style added

### getFirstDate

    public abstract java.util.Date getFirstDate()

  Returns the first date that is currently shown by the calendar.

  Returns:
    the first date.

### getLastDate

    public abstract java.util.Date getLastDate()

  Returns the last date that is currently shown by the calendar.

  Returns:
    the last date.

### isDateEnabled

    public abstract boolean isDateEnabled(java.util.Date date)

  Is the cell representing the given date enabled?

  Parameters:
    `date` - the date
  Returns:
    is the date enabled

### removeStyleFromDate

    public abstract void removeStyleFromDate(java.lang.String styleName,
                                             java.util.Date date)

  Removes a visible style name from the cell of the supplied date.

  Parameters:
    `styleName` - style name to remove
    `date` - date that will have the supplied style added

### setEnabledOnDate

    public abstract void setEnabledOnDate(boolean enabled,
                                          java.util.Date date)

  Enables or Disables a particular date. by default all valid dates are enabled after a rendering event. Disabled dates cannot be selected.

  Parameters:
    `enabled` - true for enabled, false for disabled
    `date` - date to enable or disable

### setHighlightedDate

    protected final void setHighlightedDate(java.util.Date date)

  Allows the calendar view to update the date picker's highlighted date.

  Parameters:
    `date` - the highlighted date

### getModel

    public CalendarModel getModel()

### addMonths

    protected void addMonths(int numMonths)

### getDatePicker

    protected DatePicker getDatePicker()

### refresh

    protected abstract void refresh()

  Refresh the component. Usually called because the model's current date has changed. In general, only should be called by `DatePicker`. Use refreshAll() if you need to refresh all components.

### refreshAll

    protected void refreshAll()

  Refreshes the `DatePicker`, `CalendarView`, and `CalendarModel`.

### setup

    protected abstract void setup()

  Set up the component.